export default {
  nodes: [
    {
      id: 0,
      uuid: 0,
      name: 'Danielle Cowan',
      dataClass: 'person',
      type: 'regular',
      label: 'Danielle',
      vis: {
        graph: {
          x: 342.0941321494831,
          y: 588.6773448496161
        }
      }
    },
    {
      id: 1,
      uuid: 1,
      name: 'Malcolm Wang',
      dataClass: 'person',
      type: 'regular',
      label: 'Malcolm',
      vis: {
        graph: {
          x: 284.2081346405985,
          y: 421.4802755564109
        }
      }
    },
    {
      id: 2,
      uuid: 2,
      name: 'Paula Walter',
      dataClass: 'person',
      type: 'regular',
      label: 'Paula',
      vis: {
        graph: {
          x: 465.44419324621714,
          y: 687.9242870408667
        }
      }
    },
    {
      id: 3,
      uuid: 3,
      name: 'Steven Kang',
      dataClass: 'person',
      type: 'regular',
      label: 'Steven',
      vis: {
        isUserDefined: true,
        graph: {
          x: 632.5106089487266,
          y: 585.7029178524368
        }
      }
    },
    {
      id: 4,
      uuid: 4,
      name: 'Drill & co.',
      dataClass: 'company',
      type: 'regular',
      label: 'Drill & co.',
      vis: {
        isUserDefined: true,
        graph: {
          x: 633.1571447200768,
          y: 296.73554335581446
        }
      }
    },
    {
      id: 5,
      uuid: 5,
      name: 'Building lease',
      dataClass: 'document',
      type: 'regular',
      label: 'Building lease',
      vis: {
        isUserDefined: true,
        graph: {
          x: 417.71562621900495,
          y: 308.3900062790918
        }
      }
    },
    {
      id: 6,
      uuid: 6,
      name: "Walters's home",
      dataClass: 'location',
      type: 'regular',
      label: "Walters's home",
      vis: {
        isUserDefined: true,
        graph: {
          x: 676.9660502837893,
          y: 428.93388847759877
        }
      }
    }
  ],
  links: [
    {
      id: 1,
      uuid: 100,
      source: 3,
      target: 1,
      direction: false,
      description: 'Norman'
    },
    {
      id: 2,
      uuid: 101,
      source: 3,
      target: 0,
      direction: true,
      description: 'Walter'
    },
    {
      id: 4,
      uuid: 102,
      source: 4,
      target: 3,
      direction: false,
      description: 'Lisa'
    },
    {
      id: 6,
      uuid: 103,
      source: 2,
      target: 3,
      direction: false,
      description: 'Leah',
      vis: {
        isUserDefined: true
      }
    },
    {
      id: 7,
      uuid: 104,
      source: 0,
      target: 1,
      direction: true,
      description: 'Dean',
      vis: {
        isUserDefined: true
      }
    },
    {
      id: 8,
      uuid: 105,
      source: 0,
      target: 2,
      direction: true,
      description: 'Ethel',
      vis: {
        isUserDefined: true
      }
    },
    {
      id: 9,
      uuid: 106,
      source: 3,
      target: 6,
      direction: true,
      description: 'Walter',
      vis: {
        isUserDefined: true
      }
    },
    {
      id: 10,
      uuid: 107,
      source: 4,
      target: 6,
      direction: false,
      vis: {
        isUserDefined: true
      }
    },
    {
      id: 11,
      uuid: 108,
      source: 0,
      target: 5,
      direction: false,
      vis: {
        isUserDefined: true
      }
    },
    {
      id: 12,
      uuid: 109,
      source: 1,
      target: 5,
      direction: true,
      vis: {
        isUserDefined: true
      }
    },
    {
      id: 13,
      uuid: 110,
      source: 5,
      target: 4,
      direction: true,
      vis: {
        isUserDefined: true
      }
    },
    {
      id: 14,
      uuid: 111,
      source: 5,
      target: 6,
      direction: false,
      vis: {
        isUserDefined: true,
        inMultilink: 16
      }
    },
    {
      id: 15,
      uuid: 112,
      source: 6,
      target: 5,
      direction: true,
      vis: {
        isUserDefined: true,
        inMultilink: 16
      }
    },
    {
      id: 16,
      uuid: 113,
      source: 5,
      target: 6,
      direction: {
        nonDirectional: true,
        sourceToTarget: false,
        targetToSource: true
      },
      vis: {
        isUserDefined: true,
        isMultilink: true,
        multilinkSize: 2
      }
    }
  ],
  tags: [],
  vis: {
    selectedNodes: [],
    focusedNodes: []
  },
  isImported: true
}
