import Vue from 'vue'
import Router from 'vue-router'
import OverviewDashboard from './views/OverviewDashboard.vue'
import NetworkVis from '@/views/NetworkVis.vue'
import ReportViewer from '@/views/ReportViewer.vue'
import VueMeta from 'vue-meta'

Vue.use(Router)
Vue.use(VueMeta)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'dashboard',
      component: OverviewDashboard
    },
    {
      path: '/network-vis',
      name: 'network-vis',
      component: NetworkVis
    },
    {
      path: '/report-viewer',
      name: 'report-viewer',
      component: ReportViewer
    }
  ]
})
